Package: org.codehaus.groovy.macro.matcher.internal

## [Groovy] Class MatchingConstraintsBuilder

- org.codehaus.groovy.macro.matcher.internal.MatchingConstraintsBuilder

-     class MatchingConstraintsBuilder
      extends Object

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `MatchingConstraintsBuilder.1` |
    `class` | `MatchingConstraintsBuilder.2` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ConstraintPredicate<TreeContext>` | `eventually`
    `Set<String>` | `placeholders`
    `ConstraintPredicate<Token>` | `tokenPredicate`
    `Set<String>` | `varargPlaceholders`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MatchingConstraintsBuilder()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MatchingConstraintsBuilder` | `anyToken()`
    `` | `MatchingConstraints` | `build(Closure spec)`
    `` | `MatchingConstraintsBuilder` | `eventually(Closure<Boolean> predicate)`
    `` | `MatchingConstraintsBuilder` | `placeholder(String[] names)`
    `` | `Object` | `propertyMissing(String name)`
    `` | `MatchingConstraintsBuilder` | `token(Closure<Boolean> predicate)`
    `` | `MatchingConstraintsBuilder` | `varargPlaceholder(String[] names)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### ConstraintPredicate<TreeContext> eventually

    - #### Set<String> placeholders

    - #### ConstraintPredicate<Token> tokenPredicate

    - #### Set<String> varargPlaceholders

  - ### Constructor Detail

    - #### MatchingConstraintsBuilder()

  - ### Method Detail

    - #### MatchingConstraintsBuilder anyToken()

    - #### MatchingConstraints build(@DelegatesTo(value: MatchingConstraintsBuilder, strategy: Closure.DELEGATE_ONLY)
      Closure spec)

    - #### MatchingConstraintsBuilder eventually(@DelegatesTo(value: TreeContext, strategy: Closure.DELEGATE_FIRST)
      Closure<Boolean> predicate)

    - #### MatchingConstraintsBuilder placeholder(String[] names)

    - #### Object propertyMissing(String name)

    - #### MatchingConstraintsBuilder token(@DelegatesTo(value: Token, strategy: Closure.DELEGATE_FIRST)
      Closure<Boolean> predicate)

    - #### MatchingConstraintsBuilder varargPlaceholder(String[] names)